/*
*   BinOrganismFactory  -- A factory object that creates BinOrganism objects.
*
*   Copyright (C) 1999-2002 by Joseph A. Huwaldt <jhuwaldt@knology.net>.
*   All rights reserved.
*   
*   This library is free software; you can redistribute it and/or
*   modify it under the terms of the GNU Library General Public
*   License as published by the Free Software Foundation; either
*   version 2 of the License, or (at your option) any later version.
*   
*   This library is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*   Library General Public License for more details.
**/
package jahuwaldt.tools.GeneticSearch;



/**
*  An organism factory object that is used to generate BinOrganism type objects.
*
*  <p> Modified by:  Joseph A. Huwaldt    </p>
*
*  @author    Joseph A. Huwaldt    Date:  May 24, 1999
*  @version   June 21, 2002
**/
public class BinOrganismFactory implements OrganismFactory {

	/**
	*  Returns a reference to a new BinOrganism type organism.
	*
	*  @param  Array identifying the number of bits per design variable to
	*          be stored in this organism.
	*  @return Returns a reference to a new BinOrganism.
	**/
	public Organism newOrganism( int[] bitsPerVariable ) {
		return new BinOrganism( bitsPerVariable );
	}

}


